#
# Conditional build:
%bcond_with	tests	# unit tests
#
%define		pdir	IO
%define		pnam	Tty
Summary:	IO::Tty and IO::Pty - interface to pseudo-ttys
Summary(pl.UTF-8):	IO::Tty i IO::Pty - interfejs do pseudo-tty
Name:		perl-IO-Tty
Version:	1.17
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e4cd744de6a686ca78b20002fc66062a
URL:		https://metacpan.org/dist/IO-Tty
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	perl-dirs >= 1.0-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Tty is used internally by IO::Pty to create a pseudo-tty.

IO::Pty provides an interface to allow the creation of a pseudo tty.

%description -l pl.UTF-8
Moduł IO::Tty jest używany wewnętrznie poprzez IO::Pty do tworzenia
pseudoterminali (pseudo-tty).

Moduł IO::Pty udostępnia interfejs pozwalający na utworzenie
pseudoterminala.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/IO/Pty.pm
%{perl_vendorarch}/IO/Tty.pm
%{perl_vendorarch}/IO/Tty
%dir %{perl_vendorarch}/auto/IO/Tty
%attr(755,root,root) %{perl_vendorarch}/auto/IO/Tty/Tty.so
%{_mandir}/man3/IO::Pty.3pm*
%{_mandir}/man3/IO::Tty*.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Tty.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 7094ec5
- perl 5.38.0 rebuild

* Fri Feb 03 2023 Jakub Bogusz <qboosh@pld-linux.org> c8c2d05
- updated to 1.17

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> f2d36f0
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> da00461
- rebuild with perl 5.34.0

* Sat Jun 26 2021 Jakub Bogusz <qboosh@pld-linux.org> dd3ccf8
- updated to 1.16

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> c8256b4
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0f87710
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 5f2dc7c
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 419f368
- release 6

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e72bc98
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b78738d
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8d946d5
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0631cdc
- release 2 (by relup.sh)

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 548555d
- updated bcond description

* Thu Aug 20 2015 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8b36957
- updated to 1.12

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> da7bef2
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 1e83a4d
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 54db9ff
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 27c7e8b
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c884185
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

